- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QDB2Result Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qsql_db2.h.

`#include <qsql_db2.h>`

Inheritance diagram for QDB2Result:
[legend]

List of all members.

## Public Member Functions
| QDB2Result (const QDB2Driver *dr, const QDB2DriverPrivate *dp)
| ~QDB2Result ()
bool | prepare (const QString &query)
bool | exec ()
QVariant | handle () const
## Protected Member Functions
QVariant | data (int field)
bool | reset (const QString &query)
bool | fetch (int i)
bool | fetchNext ()
bool | fetchFirst ()
bool | fetchLast ()
bool | isNull (int i)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
void | virtual_hook (int id, void *data)
bool | nextResult ()

## Constructor & Destructor Documentation

QDB2Result | ( | const QDB2Driver * | dr,
|  | const QDB2DriverPrivate * | dp
| ) |  |

~QDB2Result | ( |  | ) |

## Member Function Documentation

bool prepare | ( | const QString & | query | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool exec | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

QVariant data | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool reset | ( | const QString & | query | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetch | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchNext | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool fetchFirst | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchLast | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool isNull | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int size | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int numRowsAffected | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QSqlRecord record | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool nextResult | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented from QSqlResult.

The documentation for this class was generated from the following file:

- QtSql/qsql_db2.h

QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result
QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result QDB2Result